/*
 * Copyright © 2022, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.base;

/**
 * Wird geworfen, wenn die Benutzerdaten nicht lesbar sind. Passiert bei einem
 * HTTP404.
 * 
 * @author llange
 *
 */
public class UserData404Exception extends Exception {

  private static final long serialVersionUID = 3724091095991434787L;

  public UserData404Exception() {
    super();
  }



  public UserData404Exception(String message) {
    super(message);
  }



  public UserData404Exception(Throwable t) {
    super(t);
  }



  public UserData404Exception(String message, Throwable t) {
    super(message, t);
  }

}
