/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.filetransfer;

import java.util.EventObject;
import net.javacomm.protocol.MESSAGE;

public class TCPEvent extends EventObject {

	private static final long serialVersionUID = -4908147137596846038L;

	private MESSAGE message;
	private String errorMessage;
	

	public TCPEvent(Object source) {
		super(source);
	}
	

	 public TCPEvent(Object source, String errorMessage) {
	    this(source);
	    this.errorMessage = errorMessage;
	  }
	
	
	public TCPEvent(Object source, MESSAGE incoming) {
	  this(source);
	  message = incoming;
	}

	

	
	public MESSAGE getMessage() {
		return message;
	}
	
	
	public String getErrorMessage() {
	  return errorMessage;
	}
	
	
}
