/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.filetransfer;

import java.util.EventListener;

public interface TCPListener extends EventListener {

	/**
   * Eine gerade eingehende Nachricht.
   * 
   * @param event
   *              der Auslöser
   */
	void onMessage(TCPEvent event);
	
	/**
   * Der Client wurde gerade gestartet.
   * 
   * @param event
   *              der Auslöser
   */
	void onOpen(TCPEvent event);
	
	
	/**
   * Die Verbindung zum Server ist unerwartet abgebrochen oder konnte nicht
   * hergestellt werden.
   * 
   * @param event
   *              der Auslöser
   */
	void onError(TCPEvent event);
	
	
	/**
   * Die Verbindung zum Server wurde geschlossen.
   * 
   * @param event
   *              der Auslöser
   */
	void onClose(TCPEvent event);
	  
	
	
}
