/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.launcher;

import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.DefaultTableCellRenderer;
import net.javacomm.client.resource.Resource;



public class ZutrittRenderer extends DefaultTableCellRenderer {

  private static final long serialVersionUID = -3237606939824759202L;

  @Override
  public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected,
      boolean hasFocus, int row, int column) {

    if ((row % 2) == 0) {
      if (isSelected) {
        setBackground(Resource.JQUERY_BLAU); // VW_YELLOW
      }
      else {
        setBackground(Resource.JQUERY_BLAU); // Bar
      }
    }
    else {
      if (isSelected) {
        setBackground(Resource.JQUERY_YELLOW); // VW_YELLOW
      }
      else {
        setBackground(Resource.JQUERY_HELLBLAU);
      }
    }
    if (value instanceof JLabel) {
      JLabel label = (JLabel) value;
      label.setHorizontalAlignment(SwingConstants.CENTER);
      label.setOpaque(true);
      if (isSelected) {
        label.setBackground(Resource.JQUERY_YELLOW);
      }
      else {
        label.setBackground(Resource.JQUERY_HELLBLAU);
      }
      return label;
    }
    return this;
  }

}
