/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.mediaplayer;

import java.io.IOException;

/**
 * Wird geworfen, wenn im Verzeichnis nicht gefiltert werden kann.
 * 
 * @author llange
 *
 */
public class FilterException extends IOException {
  
  
  private static final long serialVersionUID = -3932749294660210153L;

  public FilterException() {
    super();
  }

  
  public FilterException(String message) {
    super(message);
  }


  public FilterException(String message, Throwable t) {
    super(message, t);
  }

  
  public FilterException(Throwable t) {
    super(t);
  }
  
}
