/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.mediaplayer;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.RenderingHints;
import javax.swing.JPanel;



public class PaintImage extends JPanel {

  private Image image;
  
  private static final long serialVersionUID = -3082410289140938249L;
  private int breite, hoehe;

  
  public PaintImage() {
    super(true);
    
  }


  
  public PaintImage(Image value) {
    this();
    setImage(value);
  }

  
  
  public void setImage(Image value) {
    image = value;
    breite = image.getWidth (null);
    hoehe = image.getHeight (null);

  }
  
  
  @Override
  public void paintComponent(Graphics g) {
    super.paintComponent(g);
    Graphics2D g2 = (Graphics2D) g;
    g2.setRenderingHint (RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY);
    g2.setRenderingHint (RenderingHints.KEY_COLOR_RENDERING, RenderingHints.VALUE_COLOR_RENDER_QUALITY);
    //if (image!=null) g2.drawImage (image, 0, 0, null);
    if(image!=null) g2.drawImage (image, (this.getSize().width-breite)>>1, (this.getSize().height-hoehe)>>1,this);

  }
  
}
