/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.phone;

/**
 * 
 * Wird geworfen, wenn der Port nicht im Bereich [1025..65535] liegt.
 * 
 * @author llange
 *
 */
public class PortException extends RuntimeException {

  private static final long serialVersionUID = -3732728497047114390L;
  
  public PortException() {
    super();
  }
  
  
  public PortException(String message) {
    super(message);
  }
  
  
  public PortException(String message, Exception e) {
    super(message, e);
  }

  
  public PortException(Throwable t) {
    super(t);
  }

  public PortException(String message, Throwable t) {
    super(message, t);
  }

  

}
