/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.phone;

import java.util.EventListener;

public interface RecordMicListener extends EventListener {
  
  
  /**
   * Audiodaten sind gerade eingetroffen.
   * 
   * @param event
   *              alles über den Auslöser und den Inhalt
   */
  public void onRecord(RecordMicEvent event);
  
  
  /**
   * Die Sprachaufzeichnung ist abgeschlossen. Die Methode wird kurz vor der
   * Beendigung der Task aufgerufen.
   * 
   * @param event
   *              alles über den Auslöser
   */
  public void onFinish(RecordMicEvent event);

  
  /**
   * 
   * Die Sprachaufzeichnung beginnt.
   * 
   * @param event
   *              alles über den Auslöser
   */
  public void onStart(RecordMicEvent event);


  /**
   * Die Sprachaufzeichnung ist nicht möglich und wurde deshalb abgebrochen.
   * 
   * @param event
   *              alles über den Auslöser
   */
//  public void onError(RecordMicEvent event);

  
}
