/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.phone;

import java.util.EventListener;

public interface UDPListener extends EventListener {

  
  /**
   * Auf dem UDP-Port ist eine Nachricht eingegangen.
   * 
   * @param event
   *              alles über den Auslöser und den Inhalt
   */
  public void onReceive(UDPEvent event);

  /**
   * Der UDP-Port wurde geschlossen.
   * 
   * @param event
   *              alles über den Auslöser und den Inhalt
   */
  public void onClose(UDPEvent event);

  
}
