/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.phone;


/**
 * Wird geworfen, wenn ein UDPEndpoint bereits aktiv ist und erneut aktiviert wird.
 * Aktiv heisst, ein Thread l�uft.
 * 
 * @author llange
 *
 */
public class UDPRuntimeException extends RuntimeException {

  private static final long serialVersionUID = 1L;
  
  
  public UDPRuntimeException() {
    super();
  }

  
  public UDPRuntimeException(String message) {
    super(message);
  }


  public UDPRuntimeException(String message, Throwable t) {
    super(message);
  }

  
  public UDPRuntimeException(Throwable t) {
    super(t);
  }

  
  
}
