/**
 * Copyright © 2021, Luis Andrés Lange llange@javacomm.net
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.database.entity;

/**
 * Wird geworfen, wenn ein Attribut nicht gesetzt wurde.
 * 
 * @author lromero
 *
 */
@SuppressWarnings("serial")
public class AttributeException extends RuntimeException {

  public AttributeException() {
    super();
  }

  public AttributeException(String message) {
    super(message);
  }

  public AttributeException(String message, Exception e) {
    super(message, e);
  }

  public AttributeException(String message, Throwable t) {
    super(message, t);
  }

  public AttributeException(Throwable t) {
    super(t);
  }

}
