/**
 * Copyright © 2020, Luis Andrés Lange llange@javacomm.net
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.facade;

/**
 * CommandLine enthält Methoden für das Auswerten der Kommandozeilenparameter.
 * 
 * @author landresl
 *
 */
public interface CommandLine {

	
	
  /**
   * Die Kommandozeilenparameter werden ausgewertet.
   * 
   * @return {@code true}, nach erfolgreicher Auswertung, sonst {@code false}
   * @throws CommandLineException bei der Auswertung ist ein irreperabler Fehler aufgetreten
   */
  public abstract boolean evaluate() throws CommandLineException;
	
	
	
  
  /**
   * Die Kommandozeilenparameter werden ausgewertet.
   * 
   * 
   * @param commandLineParameters die einzelenen Parameter
   * @return  {@code true}, nach erfolgreicher Auswertung, sonst {@code false}  
   * @throws CommandLineException bei der Auswertung ist ein irreperabler Fehler aufgetreten
   */
	public abstract boolean evaluate(String... commandLineParameters) throws CommandLineException;
	
	
}
