/**
 * Copyright © 2021, Luis Andrés Lange llange@javacomm.net
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.restserver;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;
import net.javacomm.database.WebdatabaseImpl;
import net.javacomm.facade.DatabaseService;



@Produces(MediaType.TEXT_PLAIN)
@Path("/forum")
public class Forum {

  private DatabaseService database;

  public Forum() {
    database = WebdatabaseImpl.getInstance();
  }



  /**
   * Lies den Schwellenwert für die öffentlicher Raum nach Forum Umwandlung aus.
   * 
   * 
   * @return der Zeitwert in Minuten
   */
  @GET
  @Path("/schwellenwert")
  public int readSchwellenwert() {
    return database.forumCycle();
  }

}
