package net.javacomm.restserver;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.PUT;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.PathParam;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;
import net.javacomm.database.WebdatabaseImpl;
import net.javacomm.database.entity.UserOdx;
import net.javacomm.facade.DatabaseService;



@Produces(MediaType.TEXT_PLAIN)
@Path("/odx")
public class Odx {

  private DatabaseService database;

  public Odx() {
    database = WebdatabaseImpl.getInstance();
  }



  /**
   * Aus diesem Verzeichnis hat der Anwender zuletzt ein PDX-Archiv oder eine
   * ODX-Datei gelsen. Das Verzeichnis kann noch den Dateinamen enthalten.
   * 
   * @param userid
   *               ein User
   * @return ein Verzeichnis oder eine Datei
   */
  @GET
  @Path("/read/load/directory/{userid}")
  public String readLoadDirectory(@PathParam(value = "userid") String userid) {
    UserOdx result = database.fetchOdxLoadDirectory(userid);
    // getLastDir kann null sein
    return result.getLastdir();
  }



  /**
   * Das Leseverzeichnis für PDX-Archive oder ODX-Dateien.
   * 
   * @param userid
   *                ein User
   * @param loaddir
   *                ein Verzeichnis oder eine Datei
   */
  @PUT
  @Path("/write/load/directory/{userid}")
  public void writeLoadDirectory(@PathParam(value = "userid") String userid, String loaddir) {
    database.updateOdxLoadDirectory(userid, loaddir);
  }

}
