package net.javacomm.restserver;

import jakarta.ws.rs.Consumes;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.QueryParam;
import jakarta.ws.rs.core.Context;
import jakarta.ws.rs.core.MediaType;
import jakarta.ws.rs.sse.OutboundSseEvent;
import jakarta.ws.rs.sse.Sse;
import jakarta.ws.rs.sse.SseEventSink;
import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.glassfish.jersey.media.multipart.FormDataParam;
import net.javacomm.database.WebdatabaseImpl;



@Path("/screenshot")
public class Screenshot {

  private final Logger log = LogManager.getLogger(ChatFileUpload.class);

  private WebdatabaseImpl database;

  public Screenshot() {
    database = (WebdatabaseImpl) WebdatabaseImpl.getInstance();
  }



  /**
   * Ein Screenshot wird gespeichert
   * 
   * 
   * @param userid
   *               der Screenshot stammt von diesem Anwender
   * @param image
   *               ein Bild
   */
//  @POST
//  @Path("/save")
//  @Consumes(MediaType.MULTIPART_FORM_DATA)
//  public void saveScreenshot(@FormDataParam("userid") String userid, @FormDataParam("image") byte[] image,
//      @Suspended AsyncResponse ar) {
//    new Thread(() -> {
//      database.insertScreenshot(userid, image);
//      ar.resume(Void.class);
//    }).start();
//  }


  /**
   * Ein Screenshot wird gespeichert
   * 
   * 
   * @param userid
   *               der Screenshot stammt von diesem Anwender
   * @param image
   *               ein Bild
   */
  @POST
  @Path("/save")
  @Consumes(MediaType.MULTIPART_FORM_DATA)
  public void saveScreenshot(@FormDataParam("userid") String userid, @FormDataParam("image") byte[] image) {
    new Thread(() -> {
      database.insertScreenshot(userid, image);
    }).start();
  }



  /**
   * Ein Screenshot wird geladen.
   */
  @GET
  @Path("/load")
  @Produces(MediaType.APPLICATION_OCTET_STREAM)
  public InputStream loadScreenshot(@QueryParam("userid") String userid) {

    InputStream result = database.loadScreenshot(userid);
    return result;
  }

  

  /**
   * Ein Screenshot wird geladen.
   */
  @GET
  @Path("/sse")
  @Produces(MediaType.SERVER_SENT_EVENTS)
  public void loadScreenshotEvent(@QueryParam("userid") String userid, @Context SseEventSink eventSink,
      @Context Sse sse) {

    new Thread() {

      @Override
      public void run() {

        byte[] buffer = new byte[8192];
        try(InputStream result = database.loadScreenshot(userid);
            BufferedInputStream inbuffer = new BufferedInputStream(result);
            ByteArrayOutputStream out = new ByteArrayOutputStream();) {

          inbuffer.read(buffer);
          out.write(buffer);
        }
        catch (IOException e) {
          log.error(e.getMessage());
        }

        OutboundSseEvent bla = sse.newEvent(userid);

      }

    }.start();

    
    
  }

}
