/**
 * Copyright © 2020, Luis Andrés Lange llange@javacomm.net
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.server;

import jakarta.servlet.ServletContext;
import jakarta.servlet.ServletContextEvent;
import jakarta.servlet.ServletContextListener;
import jakarta.servlet.annotation.WebListener;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import net.javacomm.database.WebdatabaseImpl;
import net.javacomm.facade.DatabaseService;

@WebListener
public class ServerListener implements ServletContextListener {

  final Logger log = LogManager.getLogger(ServerListener.class);
  private DatabaseService databaseService;
  
  @Override
  public void contextInitialized(ServletContextEvent sce) {
    log.info("javacommserver has started...");
    ServletContext servletcontext = sce.getServletContext();
    String resource = servletcontext.getInitParameter("resource-name");
    log.info(resource);
    databaseService = WebdatabaseImpl.getInstance(resource);
    databaseService.init();
  }

  
  @Override
  public void contextDestroyed(ServletContextEvent sce) {
    log.info("ich räume auf");
    log.info("beende alle Threads");
    databaseService.shutdown();
    Webserver.shutdown();
  }

}
