/*
 * The MIT License
 * Copyright © 2023 Thorsten Schulz <https://javacomm.net>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package net.javacomm.mastermind.gui;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import javax.swing.JPanel;
import net.javacomm.multilingual.Babelfish;
import net.javacomm.multilingual.MultilingualLabel;
import net.javacomm.multilingual.schema.ISO639;
import net.javacomm.multilingual.schema.KEY;



public class JPatternResultPanel extends JPanel implements Babelfish {

  /**
   * 
   */
  private static final long serialVersionUID = -25456635070906947L;
  private MultilingualLabel labResult = new MultilingualLabel(KEY.STRING_SOLUTION);
  private JPatternResultPaintPanel panResult = new JPatternResultPaintPanel();
  private GridBagLayout gridbag = new GridBagLayout();
  private GridBagConstraints c = new GridBagConstraints();

  public JPatternResultPanel() {
    setBackground(Constants.OLIV);

    labResult.setFont(Constants.BOLD);

    c.gridy = 0;
    c.weightx = 1.0;

    c.gridx = 0;
    gridbag.setConstraints(labResult, c);
    this.add(labResult);

    c.gridx = 1;
    gridbag.setConstraints(panResult, c);
    this.add(panResult);
  }



  public JPatternResultPanel getJPatternResultPanel() {
    return this;
  }



  public void showResult(String resultCode) {
    panResult.showResult(resultCode);
  }



  @Override
  public void setLanguage(ISO639 code) {
    labResult.setLanguage(code);
  }

}
