/**
 * The MIT License
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.nexuswob.util;

import java.nio.file.Path;
import java.util.EventObject;
import java.util.List;



@SuppressWarnings("serial")
public class WatchEvent extends EventObject {

  private List<Path> list;

  public WatchEvent(Object source) {
    super(source);
  }



  public WatchEvent(Object source, List<Path> liste) {
    this(source);
    setList(liste);
  }


  /**
   * Alle Dateien im überwachten Verzeichnis werden zurückgegeben.
   * 
   * @return alle Dateien
   */
  public List<Path> getList() {
    return list;
  }



  /**
   * Alle aktuellen Dateien in einem Verzeichnis.
   * 
   * @param list
   *             alle Dateien
   */
  public void setList(List<Path> list) {
    this.list = list;
  }


}
