/*
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class CONFERENCE extends MESSAGE {

  public final static String KONFERENZNAME = "KONFERENZNAME";
  public final static String ORGANISATOR_UID = "ORGANISATOR_UID";
  public final static String USERID = "USERID";
  public final static String OFFHOOK = "OFFHOOK";
  public final static String KONFERENZRAUMUSER = "KONFERENZRAUMUSER";

  private String konferenzname;
  private String organisatorUid;
  private String userid;
  private boolean offhook;
  private KonferenzraumUser[] konferenzraumUser;


  public KonferenzraumUser[] getKonferenzraumUser() {
    return konferenzraumUser;
  }



  public void setKonferenzraumUser(KonferenzraumUser[] konferenzraumUser) {
    this.konferenzraumUser = konferenzraumUser;
  }



  public String getKonferenzname() {
    return konferenzname;
  }



  public void setKonferenzname(String konferenzname) {
    this.konferenzname = konferenzname;
  }



  public String getOrganisatorUid() {
    return organisatorUid;
  }



  public void setOrganisatorUid(String organisatorUid) {
    this.organisatorUid = organisatorUid;
  }



  public String getUserid() {
    return userid;
  }



  public void setUserid(String userid) {
    this.userid = userid;
  }



  public boolean isOffhook() {
    return offhook;
  }



  public void setOffhook(boolean offhook) {
    this.offhook = offhook;
  }

}
