/*
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class CONFERENCEAUDIO extends MESSAGE {

  public final static String ORIGIN = "ORIGIN";
  public final static String TARGET = "TARGET";
  public final static String CONTENT = "CONTENT";


  private String origin; // der Absender
  private String[] target; // session empfänger
  private String content; // inhalt ist base64 kodiert


  public String[] getTarget() {
    return target;
  }



  public void setTarget(String[] target) {
    this.target = target;
  }



  public String getContent() {
    return content;
  }



  public void setContent(String content) {
    this.content = content;
  }



  public String getOrigin() {
    return origin;
  }



  public void setOrigin(String origin) {
    this.origin = origin;
  }

}
