/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class ChatUser {
  

  public final static String USERID = "USERID";
  public final static String NICKNAME = "NICKNAME";
  public final static String FOREGROUND_COLOR = "FOREGROUND_COLOR";
  public final static String BACKGROUND_COLOR = "BACKGROUND_COLOR";

  
  private int bgColor;
  private int fgColor;
  private String userid;
  private String nickname;

  
  
  public void setBackgroundColor(int color) {
    bgColor = color;
  }
  
  
  public int getBackgroundColor() {
    return bgColor;
  }
  
  
  public void setForegroundColor(int color) {
    fgColor = color;
  }
  
  
  public int getForegroundColor() {
    return fgColor;
  }

  
  
  public String getNickname() {
    return nickname;
  }
  
  
  public void setNickname(String value) {
    nickname = value;
  }

  
  
  
  /**
   * Jeder User hat eine eindeutige id.
   * @return userid
   */
  public final String getUserid() {
    return userid;
  }
  
  
  
  
  public final void setUserid(String value) {
    userid = value;
  }

  
  
  
  
}
