/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public enum Command {

  BEAMEROFF,
  BREAKROOMS,
  CANDIDATETOPICMEMBER,
  CALLPRIVATECHAT,
  CALLREMOTEUSER,
  CHANGETOPICMEMBER,
  CHATMESSAGE,
  CHATONLINELIST,
  CHATUSERLIST,
  CONFERENCE,
  CONFERENCEAUDIO,
  CREATETEMPROOM,
  DELETEROOM,
  DELETEUPLOADFILES,
  DELETE_USER,
  DIAL,
  DOWNLOAD,
  ENTERROOM,
  FILETYPES,
  FTSDOWNLOAD,
  HISTORYMESSAGE,
  IMAGE,
  INCOMINGCALL,
  KEEPALIVE,
  LEAVEPRIVATECHAT,
  LEAVEROOM,
  MICROERROR,
  ONCALL,
  ONHOOK,
  ONHOOKCALLER,
  PRIVATECHATFILE,
  PRIVATEMESSAGE,
  PROTECTEDTEMPROOM,
  PROYECTORCLOSING,
  READROOMS,
  READTOPICROOMOWNER,
  ROOMLIST,
  SEARCHFILES,
  SCREENCAST,
  SIGNIN,
  TCPAUDIO,
  TOPICMEMBER,
  TRANSFER,
  UPDATEFILETYPES,
  UPDATEPHONE,
  UPDATEPORT,
  UPDATE_USER,
  USERONLINELIST,
  USRLOGIN,
  UPLOADFILES;

  
  private Command() {
  }
  
  public static String getCommandKey() {
     return "COMMAND";
  }
  
  
}
