/*
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.JsonArray;
import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParseException;
import java.lang.reflect.Type;



/**
 * 
 * @author llange
 *
 * @deprecated wird nicht benötigt
 */
@Deprecated
public class ConferenceDeserializer implements JsonDeserializer<CONFERENCE> {

  @Override
  public CONFERENCE deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context)
      throws JsonParseException {

    JsonObject jsonobject = json.getAsJsonObject();

    HEADER header = HEADER.valueOf(jsonobject.getAsJsonPrimitive(Protocol.HEADER).getAsString());
    JsonObject dataset = jsonobject.getAsJsonObject(Protocol.DATASET);
    String konferenzname = dataset.get(CONFERENCE.KONFERENZNAME).getAsString();
    String organisatorUid = dataset.get(CONFERENCE.ORGANISATOR_UID).getAsString();
    JsonArray array = dataset.getAsJsonArray(CONFERENCE.KONFERENZRAUMUSER);
    int count = array.size();
    KonferenzraumUser[] konferenzraumUser = new KonferenzraumUser[count];
    for (int index = 0; index < count; index++) {
      KonferenzraumUser user = new KonferenzraumUser();
      konferenzraumUser[index] = user;
      JsonObject arrayObject = array.get(index).getAsJsonObject();
      boolean online = arrayObject.get(KonferenzraumUser.ONLINE).getAsBoolean();
      String session = null;
      try {
        session = arrayObject.get(KonferenzraumUser.SESSION).getAsString();
      }
      catch (NullPointerException e) {}

      JsonObject chatuser = arrayObject.get(KonferenzraumUser.CHATUSER).getAsJsonObject();
      int background = chatuser.get(KonferenzraumUser.BACKGROUND_COLOR).getAsInt();
      int foreground = chatuser.get(KonferenzraumUser.FOREGROUND_COLOR).getAsInt();
      String nickname = chatuser.get(KonferenzraumUser.NICKNAME).getAsString();
      String userid = chatuser.get(KonferenzraumUser.USERID).getAsString();

      konferenzraumUser[index].setBackgroundColor(background);
      konferenzraumUser[index].setForegroundColor(foreground);
      konferenzraumUser[index].setNickname(nickname);
      konferenzraumUser[index].setOnline(online);
      konferenzraumUser[index].setSession(session);
      konferenzraumUser[index].setUserid(userid);

    }

    CONFERENCE conference = new CONFERENCE();
    conference.setHeader(header);
    conference.setCommand(Command.CONFERENCE);
    conference.setDataset(Protocol.DATASET);
    conference.setKonferenzname(konferenzname);
    conference.setOrganisatorUid(organisatorUid);
    conference.setKonferenzraumUser(konferenzraumUser);

    return conference;
  }

}
