/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class DIAL extends MESSAGE {

  
  public final static String CALLER_NICKNAME = "CALLER_NICKNAME";
  public final static String RECEIVER_IP = "RECEIVER_IP";
  public final static String RECEIVER_PORT = "RECEIVER_PORT";
  public final static String CALLER_USERID = "CALLER_USERID";
  public final static String CALLER_VOICE = "CALLER_VOICE";
  public final static String CALLER_SESSION = "CALLER_SESSION";
  public final static String RECEIVER_NICKNAME = "RECEIVER_NICKNAME";
  public final static String RECEIVER_USERID = "RECEIVER_USERID";
  public final static String RECEIVER_SESSION = "RECEIVER_SESSION";

  private String callerVoice; //Mandotory
  private String callerUserid; //Mandotory
  private String callerNickname; //Mandotory
  private String callerSession; // optional RESPONSE f�r TCP
  private String receiverIp; //Mandotory
  private Integer receiverPort; //Mandotory
  private String receiverSession; // die SessionID wird für TCP benötigt; das Attribut ist optional für
                                  // RESPONSE;
  // session ist die SessionId vom Empfänger

  public String getReceiverIp() {
    return receiverIp;
  }


  public void setReceiverIp(String receiverIp) {
    this.receiverIp = receiverIp;
  }


  public Integer getReceiverPort() {
    return receiverPort;
  }


  public void setReceiverPort(Integer receiverPort) {
    this.receiverPort = receiverPort;
  }


  private String receiverNickname; //Mandotory
  private String receiverUserid; // Optional
  
  
  public String getCallerVoice() {
    return callerVoice;
  }
  
  
  public void setCallerVoice(String callerVoice) {
    this.callerVoice = callerVoice;
  }
  
  
  public String getCallerUserid() {
    return callerUserid;
  }
  
  
  public void setCallerUserid(String callerUserid) {
    this.callerUserid = callerUserid;
  }
  
  
  public String getCallerNickname() {
    return callerNickname;
  }
  
  
  public void setCallerNickname(String callerNickname) {
    this.callerNickname = callerNickname;
  }
  
  
  public String getReceiverNickname() {
    return receiverNickname;
  }
  
  
  public void setReceiverNickname(String receiverNickname) {
    this.receiverNickname = receiverNickname;
  }
  
  
  public String getReceiverUserid() {
    return receiverUserid;
  }
  
  
  public void setReceiverUserid(String receiverUserid) {
    this.receiverUserid = receiverUserid;
  }



  public String getReceiverSession() {
    return receiverSession;
  }



  public void setReceiverSession(String session) {
    this.receiverSession = session;
  }



  public String getCallerSession() {
    return callerSession;
  }



  public void setCallerSession(String callerSession) {
    this.callerSession = callerSession;
  }
  
  
    
  
  
}
