/*
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import java.util.stream.Stream;



public enum HEADER {

  REQUEST,
  RESPONSE,
  CONFIRM,
  ERROR;

  public static HEADER toHeader(String header) {
    return Stream.of(HEADER.values()).filter(filter -> filter.toString().equals(header)).findFirst()
        .orElseThrow(
            () -> new IllegalArgumentException(header + " - dieses Kommando ist im Header nicht erlaubt.")
        );
  }
}
