/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;



public class HISTORYMESSAGE extends MESSAGE {

  public final static String RECORD = "RECORD";
  public final static String ROOM = "ROOM";

  private AttachmentImpl attachment[];
  private String room;
  
  public void setAttachment(AttachmentImpl[] value) {
    attachment = value;
  }
  
  

  public AttachmentImpl[] getAttachment() {
    return attachment;
  }
  
  
  public void setRoom(String value) {
  	room = value;
  }
  
  
  public String getRoom() {
  	return room;
  }
  


  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    Gson gson = builder.registerTypeAdapter(HISTORYMESSAGE.class, new HistoryMessageSerializer())
        .registerTypeAdapter(ChatUser.class, new ChatUserSerializer())
        .registerTypeAdapter(HISTORYMESSAGE.class, new HistoryMessageDeserializer()).
        create();
    return gson.toJson(this);
  }

}
