/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class INCOMINGCALL extends MESSAGE {

  public final static String CALLER_USERID = "CALLER_USERID";
  public final static String CALLER_IP = "CALLER_IP";
  public final static String CALLER_PORT = "CALLER_PORT";
  public final static String CALLER_NICKNAME = "CALLER_NICKNAME";
  public final static String CALLER_VOICE = "CALLER_VOICE";
  public final static String CALLER_SESSION = "CALLER_SESSION";
  public final static String RECEIVER_USERID = "RECEIVER_USERID";
  public final static String RECEIVER_IP = "RECEIVER_IP";
  public final static String RECEIVER_PORT = "RECEIVER_PORT";
  public final static String RECEIVER_NICKNAME = "RECEIVER_NICKNAME";
  public final static String RECEIVER_SESSION = "RECEIVER_SESSION";
  public final static String RECEIVER_VOICE = "RECEIVER_VOICE";
 
  
  private String callerUserid;
  private String callerIp;
  private Integer callerPort;
  private String callerNickname;
  private String callerVoice;
  private String callerSession;
  private String receiverUserid;
  private String receiverIp;
  private Integer receiverPort;
  private String receiverNickname;
  private String receiverSession;
  private String receiverVoice;
  
  
  public String getCallerIp() {
    return callerIp;
  }
  
  
  public void setCallerIp(String callerIp) {
    this.callerIp = callerIp;
  }
  
  
  public Integer getCallerPort() {
    return callerPort;
  }
  
  
  public void setCallerPort(Integer callerPort) {
    this.callerPort = callerPort;
  }
  
  
  public String getCallerNickname() {
    return callerNickname;
  }
  
  
  public void setCallerNickname(String callerNickname) {
    this.callerNickname = callerNickname;
  }


  public String getCallerUserid() {
    return callerUserid;
  }


  public void setCallerUserid(String callerUserid) {
    this.callerUserid = callerUserid;
  }


  public String getReceiverUserid() {
    return receiverUserid;
  }


  public void setReceiverUserid(String receiverUserid) {
    this.receiverUserid = receiverUserid;
  }


  public String getReceiverIp() {
    return receiverIp;
  }


  public void setReceiverIp(String receiverIp) {
    this.receiverIp = receiverIp;
  }


  public Integer getReceiverPort() {
    return receiverPort;
  }


  public void setReceiverPort(Integer receiverPort) {
    this.receiverPort = receiverPort;
  }


  public String getReceiverNickname() {
    return receiverNickname;
  }


  public void setReceiverNickname(String receiverNickname) {
    this.receiverNickname = receiverNickname;
  }


  public String getCallerVoice() {
    return callerVoice;
  }


  public void setCallerVoice(String callerVoice) {
    this.callerVoice = callerVoice;
  }



  public String getReceiverSession() {
    return receiverSession;
  }



  public void setReceiverSession(String receiverSession) {
    this.receiverSession = receiverSession;
  }



  public String getCallerSession() {
    return callerSession;
  }



  public void setCallerSession(String callerSession) {
    this.callerSession = callerSession;
  }



  public String getReceiverVoice() {
    return receiverVoice;
  }



  public void setReceiverVoice(String receiverVoice) {
    this.receiverVoice = receiverVoice;
  }
  
}
