/**
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class PRIVATECHATFILE extends MESSAGE {

  public final static String NUMBER = "NUMBER";
  public final static String USERID = "USERID";
  public final static String REMOTE_SESSION_ID = "REMOTE_SESSION_ID";
  public final static String REMOTE_NICKNAME = "REMOTE_NICKNAME";
  public final static String FILENAME = "FILENAME";
  public final static String ABSOLUTE_FILENAME = "ABSOLUTE_FILENAME";
  public final static String FILESIZE = "FILESIZE";
  public final static String MESSAGE = "MESSAGE";

  /**
   * Ein Datenbankschlüssel
   */
  private Integer number;
  private String userid;
  private String remoteSessionId;
  private String remoteNickname;
  private String filename;
  private String absoluteFilename;
  private long filesize;
  private String message;

  public String getUserid() {
    return userid;
  }



  public void setUserid(String userid) {
    this.userid = userid;
  }



  public String getRemoteSessionId() {
    return remoteSessionId;
  }



  public void setRemoteSessionId(String remoteSessionId) {
    this.remoteSessionId = remoteSessionId;
  }



  public String getFilename() {
    return filename;
  }



  public void setFilename(String filename) {
    this.filename = filename;
  }



  public String getAbsoluteFilename() {
    return absoluteFilename;
  }



  public void setAbsoluteFilename(String absoluteFilename) {
    this.absoluteFilename = absoluteFilename;
  }



  public long getFilesize() {
    return filesize;
  }



  public void setFilesize(long filesize) {
    this.filesize = filesize;
  }



  public String getMessage() {
    return message;
  }



  public void setMessage(String message) {
    this.message = message;
  }



  public Integer getNumber() {
    return number;
  }



  public void setNumber(Integer number) {
    this.number = number;
  }



  public String getRemoteNickname() {
    return remoteNickname;
  }



  public void setRemoteNickname(String remoteNickname) {
    this.remoteNickname = remoteNickname;
  }

}
