/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class PRIVATEMESSAGE extends MESSAGE implements Attachment {

  public final static String SENDER_UID = "SENDER_UID";
  public final static String LOCAL_SESSIONID = "LOCAL_SESSIONID";
  public final static String REMOTE_SESSIONID = "REMOTE_SESSIONID";
  public final static String MESSAGE = "MESSAGE";
  public final static String DATETIME = "DATETIME";
  public final static String ROOM = "ROOM";
  public final static String CHATUSER = "CHATUSER";

  private String localsession;
  private String remotesession;
  private String message;
  private String sender_uid;
  private Long datetime;
  /* die Nachricht kommt aus diesem Raum */
  private String room;
  // Chatuser enthält den Absender der Nachricht
  private ChatUser chatuser;

  // optional
  private Long attachment;
  private String filename;
  private Long filesize;

  public void setLocalSessionid(String value) {
    localsession = value;
  }



  public void setRemoteSessionid(String value) {
    remotesession = value;
  }



  @Override
  public void setMessage(String value) {
    message = value;
  }



  public String getLocalSessionid() {
    return localsession;
  }



  public String getRemoteSessionid() {
    return remotesession;
  }



  @Override
  public String getMessage() {
    return message;
  }



  public void setSenderUID(String value) {
    sender_uid = value;
  }



  public String getSenderUID() {
    return sender_uid;
  }



  @Override
  public void setRoom(String value) {
    room = value;
  }



  @Override
  public String getRoom() {
    return room;
  }



  @Override
  public void setDatetime(Long value) {
    datetime = value;
  }



  @Override
  public Long getDatetime() {
    return datetime;
  }



  @Override
  public void setChatUser(ChatUser value) {
    chatuser = value;
  }



  @Override
  public ChatUser getChatUser() {
    return chatuser;
  }



  @Override
  public Long getAttachment() {
    return attachment;
  }



  @Override
  public void setAttachment(Long number) {
    this.attachment = number;
  }



  @Override
  public String getFilename() {
    return filename;
  }



  @Override
  public void setFilename(String filename) {
    this.filename = filename;
  }



  @Override
  public Long getFilesize() {
    return filesize;
  }



  @Override
  public void setFilesize(Long filesize) {
    this.filesize = filesize;
  }

}
