/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.annotations.SerializedName;

public class RecordImpl implements Record {

  @SerializedName(value = "ROOM")
  private String room;
  @SerializedName(value = "DATETIME")
  private Long datetime;
  @SerializedName(value = "MESSAGE")
  private String message;
  private ChatUser chatuser;
  
  
  @Override
  public void setRoom(String value) {
    room = value;
  }
  
  
  @Override
  public String getRoom() {
    return room;
  }
  
  
  @Override
  public void setMessage(String value) {
    message = value;
  }
  
  
  @Override
  public String getMessage() {
    return message;
  }
  
  
  @Override
  public void setDatetime(Long value) {
    datetime = value;
  }
  
  
  @Override
  public Long getDatetime() {
    return datetime;
  }
  
  
  @Override
  public void setChatUser(ChatUser value) {
    chatuser = value;
  }
  
  
  @Override
  public ChatUser getChatUser() {
    return chatuser;
  }

}
