/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class Room {


	public final static String ROOM = "ROOM";
  public final static String LIFETIME = "LIFETIME";
  public final static String OWNER = "OWNER";
  public final static String ENTRY = "ENTRY";
  public final static String ROOMTYPE = "ROOMTYPE";
	
	
	private String chatid; // room
	private Lifetime lifetime;
	private String owner;
	private Entry entry;
  private Roomtype roomtype;
	
	
	public final void setChatid(String value) {
		chatid = value;
	}
	
	
	public final String getChatid() {
		return chatid;
	}
	
	
	
	public void setOwner(String value) {
		owner = value;
	}
	
	
	public String getOwner() {
		return owner;
	}


  public Entry getEntry() {
    return entry;
  }


  public void setEntry(Entry entry) {
    this.entry = entry;
  }


  public Lifetime getLifetime() {
    return lifetime;
  }


  public void setLifetime(Lifetime lifetime) {
    this.lifetime = lifetime;
  }



  public Roomtype getRoomtype() {
    return roomtype;
  }



  public void setRoomtype(Roomtype roomtype) {
    this.roomtype = roomtype;
  }
	
	
	
	
}
