/**
 * Copyright © 2021 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class SCREENCAST extends MESSAGE {

  public final static String CALLER_USERID = "CALLER_USERID";
  public final static String CALLER_NICKNAME = "CALLER_NICKNAME";
  public final static String CALLER_ONHOOK = "CALLER_ONHOOK";
  public final static String CALLER_IP = "CALLER_IP";
  public final static String CALLER_PORT = "CALLER_PORT";
  public final static String RECEIVER_USERID = "RECEIVER_USERID";
  public final static String RECEIVER_NICKNAME = "RECEIVER_NICKNAME";
  public final static String RECEIVER_ONHOOK = "RECEIVER_ONHOOK";

  private String callerUserid;
  private String callerNickname;
  private String callerIp;
  private Integer callerPort;
  private String receiverNickname;
  private String receiverUserid;


  public String getCallerIp() {
    return callerIp;
  }



  public void setCallerIp(String callerIp) {
    this.callerIp = callerIp;
  }



  public Integer getCallerPort() {
    return callerPort;
  }



  public void setCallerPort(Integer callerPort) {
    this.callerPort = callerPort;
  }



  public String getCallerUserid() {
    return callerUserid;
  }



  public void setCallerUserid(String callerUserid) {
    this.callerUserid = callerUserid;
  }



  public String getCallerNickname() {
    return callerNickname;
  }



  public void setCallerNickname(String callerNickname) {
    this.callerNickname = callerNickname;
  }



  public String getReceiverNickname() {
    return receiverNickname;
  }



  public void setReceiverNickname(String receiverNickname) {
    this.receiverNickname = receiverNickname;
  }



  public String getReceiverUserid() {
    return receiverUserid;
  }



  public void setReceiverUserid(String receiverUserid) {
    this.receiverUserid = receiverUserid;
  }




}
