/**
 * Copyright © 2021 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class TCPAUDIO extends MESSAGE {

  public final static String TARGET = "TARGET";
  public final static String ORIGIN = "ORIGIN";
  public final static String CONTENT = "CONTENT";
  
  
  private String target; // session empfänger
  private String origin; // session absender
  private String content; // inhalt ist base64 kodiert


  public String getTarget() {
    return target;
  }



  /**
   * Der Empf�nger
   * 
   * @param target
   *               eine Sessionid
   */
  public void setTarget(String target) {
    this.target = target;
  }



  public String getOrigin() {
    return origin;
  }



  /**
   * Der Absender.
   * 
   * @param origin
   *               eine Sessionid
   */
  public void setOrigin(String origin) {
    this.origin = origin;
  }



  public String getContent() {
    return content;
  }



  public void setContent(String content) {
    this.content = content;
  }





}
