/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class TRANSFER extends FILETRANSFER {

  public final static String FILENAME = "FILENAME";
  public final static String PATHFILE = "PATHFILE";
  public final static String BLOCKINDEX = "BLOCKINDEX";
  public final static String ENDFLAG = "ENDFLAG";
  public final static String SLOT = "SLOT";
  public final static String PAYLOAD = "PAYLOAD";

  
  
  private String filename;
  private String pathfile;
  private int blockindex;
  private boolean endflag;
  private int slot;
  private String payload;
  
  
  public void setBlockindex(int value) {
    blockindex = value;
  }
  
  
  public void setEndflag(boolean value) {
    endflag = value;
  }
  
  
  /**
   * 
   * @param value der Dateiname ohne Pfadangabe
   */
  public void setFilename(String value) {
    filename = value;
  }
  
  
  
  /**
   * 
   * @param value Nur die Pfadangabe ohne Dateiname
   */
  public void setPathfile(String value) {
    pathfile = value;
  }
  
  
  public void setPayload(String value) {
    payload = value;
  }
  
  
  public void setSlot(int value) {
    slot = value;
  }
  
  
  public int getBlockindex() {
    return blockindex;
  }
  
  
  public boolean getEndflag() {
    return endflag;
  }
  
  
  public String getFilename() {
    return filename;
  }
  
  
  public String getPathfile() {
    return pathfile;
  }
  
  
  public String getPayload() {
    return payload;
  }
  
  
  public int getSlot() {
    return slot;
  }
  
  
}
