/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public abstract class USER extends MESSAGE {

  public final static String EMAIL = "EMAIL";
  public final static String USERID = "USERID";
  public final static String PASSWORD = "PASSWORD";
  public final static String NEUES_PASSWORD = "NEUES_PASSWORD";
  public final static String CONFIRMATION_KEY = "CONFIRMATION_KEY";
  public final static String NICKNAME = "NICKNAME";
  public final static String FOREGROUND_COLOR = "FOREGROUND_COLOR";
  public final static String BACKGROUND_COLOR = "BACKGROUND_COLOR";
  public final static String VOLUME = "VOLUME";
  public final static String ONCALL = "ONCALL";
  public final static String IP = "IP";

  private String userid;
  private String eMail;
  private String password;
  private String nickname;
  private Integer fgColor;
  private Integer bgColor;
  private Integer volume;
  private Boolean oncall;
  private String neuesPassword;
  private String confirmationKey;
  String ip;

  public Boolean isOncall() {
    return oncall;
  }



  public void setOncall(Boolean oncall) {
    this.oncall = oncall;
  }



  public void setBackgroundColor(Integer color) {
    bgColor = color;
  }



  public Integer getBackgroundColor() {
    return bgColor;
  }



  public void setForegroundColor(Integer color) {
    fgColor = color;
  }



  public Integer getForegroundColor() {
    return fgColor;
  }



  public String getNickname() {
    return nickname;
  }



  public void setNickname(String value) {
    nickname = value;
  }



  public final String getPassword() {
    return password;
  }



  public final void setPassword(String value) {
    password = value;
  }



  /**
   * Die eMail ist immer eindeutig.
   * 
   * @return eMail
   */
  public final String getEmail() {
    return eMail;
  }



  /**
   * Jeder User hat eine eindeutige id.
   * 
   * @return userid
   */
  public final String getUserid() {
    return userid;
  }



  public final void setEmail(String value) {
    eMail = value;
  }



  public final void setUserid(String value) {
    userid = value;
  }



  public String getIp() {
    return ip;
  }



  public void setIp(String value) {
    ip = value;
  }



  public void setConfirmationKey(String value) {
    confirmationKey = value;
  }



  public String getConfirmationKey() {
    return confirmationKey;
  }



  public void setNeuesPassword(String value) {
    neuesPassword = value;
  }



  public String getNeuesPassword() {
    return neuesPassword;
  }



  public Integer getVolume() {
    return volume;
  }



  public void setVolume(Integer volume) {
    this.volume = volume;
  }



}
