/**
 * Copyright © 2021 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.share;

public abstract class Constants {
  public final static String VERSION = "250207-PRE2";
  public final static int MIN_PORT_RANGE = 29467;
  public final static int MAX_PORT_RANGE = 29478;
  public final static String HTTPS = "https://";
  public final static String HTTP = "http://";
  public final static String WS = "ws://";
  public final static String WSS = "wss://";
  public final static int LEN_NICKNAME = 24;
  public final static int LEN_KONFERENZNAME = 30;
  public final static int LEN_KONFERENZ_BESCHREIBUNG = 255;
  // über HISTORY_MESSAGES werden 250 Nachrichten geholt
  public final static int HISTORY_MESSAGES = 250;
  public final static int MAX_FILESIZE = 256 * 1024 * 1024;
  /**
   * Die Domäne wird dem Server und dem Client bekanntgegeben.
   */
  public final static String DOMAIN = "chat4j.de";
  public final static String DOWNLOAD_DOMAIN = "javacomm.net";
  /**
   * Eine Nachricht wird fühestens nach 24 Stunden gelöscht.
   */
  public final static int MIN_DURATION_TIME = 24; // Stunden im Chatmodul
  /**
   * Eine Nachricht wird spätestens nach 720 Stunden gelöscht.
   */
  public final static int MAX_DURATION_TIME = 720; // Stunden im Chatmodul
  /**
   * Mindestanzahl Tage, bevor ein Konto wegen Inaktivität gelöscht wird
   */
  public final static int MIN_ACCOUNT_TIME = 180;
  public final static String IPTV = "http://javacomm.net/javacomm/jaxrs/iptvsender/read/senderliste";
  /**
   * Das Standardübertragungsprotokoll zwischen Client und Server.
   */
  public final static String PROTOCOL = HTTPS;
  public final static String WEBSOCKET = WSS;

}
