/**
 * Copyright © 2021 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.transfer;

public enum Sprachguete {

  LOW(4, "8000Hz"),
  MEDIUM_LOW(1, "9600Hz"),
  MEDIUM(3, "16000Hz"),
  HIGH(2, "19200Hz"),
  SUPER_HIGH(5, "44100Hz");

  private int puffer;
  private String beschreibung;

  private Sprachguete(int puffer, String beschreibung) {
    this.puffer = puffer;
    this.beschreibung = beschreibung;
  }



  public int getPuffer() {
    return puffer;
  }



  @Override
  public String toString() {
    return beschreibung;
  }



  public static Sprachguete toSprachguete(int puffer) {
    for (Sprachguete tmp : Sprachguete.values()) {
      if (tmp.getPuffer() == puffer) {
        return tmp;
      }
    }
    throw new IllegalArgumentException();
  }



  public static Sprachguete toSprachguete(String beschreibung) {
    for (Sprachguete tmp : Sprachguete.values()) {
      if (tmp.toString().equals(beschreibung)) {
        return tmp;
      }
    }
    throw new IllegalArgumentException();
  }
}
