/**
 * Copyright © 2021 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.transfer;

import com.google.gson.Gson;



/**
 * 
 * Ein Transferobjekt zwischen Server und Client.
 * 
 * 
 * @author llange
 *
 */
public class TransferConfig {

  private String domain;
  private Boolean isPublic;
  private String mailSmtpUser;
  private String mailSmtpHost;
  private Integer mailSmtpPort;
  private String mailSmtpPassword;
  private String adminmail;
  private int flipToForum = 150;
  private int hours;
  private int account;

  public String getDomain() {
    return domain;
  }



  public void setDomain(String domain) {
    this.domain = domain;
  }



  public Boolean getIsPublic() {
    return isPublic;
  }



  public void setIsPublic(Boolean isPublic) {
    this.isPublic = isPublic;
  }



  public String getMailSmtpUser() {
    return mailSmtpUser;
  }



  public void setMailSmtpUser(String mailSmtpUser) {
    this.mailSmtpUser = mailSmtpUser;
  }



  public String getMailSmtpHost() {
    return mailSmtpHost;
  }



  public void setMailSmtpHost(String mailSmtpHost) {
    this.mailSmtpHost = mailSmtpHost;
  }



  public String getMailSmtpPassword() {
    return mailSmtpPassword;
  }



  public void setMailSmtpPassword(String mailSmtpPassword) {
    this.mailSmtpPassword = mailSmtpPassword;
  }



  public String getAdminmail() {
    return adminmail;
  }



  public void setAdminmail(String adminmail) {
    this.adminmail = adminmail;
  }



  @Override
  public String toString() {
    Gson gson = new Gson();
    return gson.toJson(this);
  }



  public Integer getMailSmtpPort() {
    return mailSmtpPort;
  }



  public void setMailSmtpPort(Integer mailSmtpPort) {
    this.mailSmtpPort = mailSmtpPort;
  }



  public int getFlipToForum() {
    return flipToForum;
  }



  public void setFlipToForum(int flipToForum) {
    this.flipToForum = flipToForum;
  }



  public int getHours() {
    return hours;
  }



  public void setHours(int hours) {
    this.hours = hours;
  }



  public int getAccount() {
    return account;
  }



  public void setAccount(int account) {
    this.account = account;
  }

}
