/**
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.transfer;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.time.ZonedDateTime;



/**
 * Die Einträge aus der Maske JTelefonkonferenzFrame.
 *
 * @author lromero
 *
 */
public class TransferTelko {

  private String konferenzraum; // Konferenzname
  private String organisator; // Organisator
  private String beschreibung;
  private ZonedDateTime ablaufdatum;


  public String getKonferenzraum() {
    return konferenzraum;
  }



  public void setKonferenzraum(String telkoid) {
    this.konferenzraum = telkoid;
  }



  public String getOrganisator() {
    return organisator;
  }



  public void setOrganisator(String uid) {
    this.organisator = uid;
  }




  public String getBeschreibung() {
    return beschreibung;
  }



  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }



  public ZonedDateTime getAblaufdatum() {
    return ablaufdatum;
  }



  public void setAblaufdatum(ZonedDateTime ablaufdatum) {
    this.ablaufdatum = ablaufdatum;
  }



  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    builder = builder.registerTypeAdapter(ZonedDateTime.class, new ZonedDateTimeSerializer());
    Gson gson = builder.create();
    return gson.toJson(this);
  }


}
